Download OpenAPI specification:Download
Retrieve all feature flags and configurations for the specified organization. Missing configurations will be automatically created with default values.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 Organization ID |
| enabled_only | boolean or null Filter only enabled configurations |
| api-version | string API version |
{- "configurations": [
- {
- "id": 1,
- "organization_id": 123,
- "config_key": "LOSS_PREVENTION_ENABLED",
- "config_value": {
- "description": "Enable loss prevention features"
}, - "enabled": true,
- "created_at": "2023-10-15T10:30:00",
- "updated_at": "2023-10-15T14:20:00"
}
], - "total": 1
}Retrieve a specific configuration for the organization by config key. If the configuration doesn't exist, it will be created with default values.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 Organization ID |
| configKey required | string (ConfigurationKey) Enum: "LOSS_PREVENTION_ENABLED" "LICENSE_ENFORCEMENT_ENABLED" Example: LOSS_PREVENTION_ENABLED Configuration key |
| api-version | string API version |
{- "id": 1,
- "organization_id": 123,
- "config_key": "LOSS_PREVENTION_ENABLED",
- "config_value": {
- "description": "Enable loss prevention features",
- "maxRetries": 3
}, - "enabled": true,
- "created_at": "2023-10-15T10:30:00",
- "updated_at": "2023-10-15T14:20:00"
}Check if a specific feature is enabled for the organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 Organization ID |
| configKey required | string (ConfigurationKey) Enum: "LOSS_PREVENTION_ENABLED" "LICENSE_ENFORCEMENT_ENABLED" Example: LOSS_PREVENTION_ENABLED Configuration key |
| api-version | string API version |
"\n {\n \"config_key\": \"LOSS_PREVENTION_ENABLED\",\n \"enabled\": true,\n \"organization_id\": 123\n }\n \""This API allow you to retrieve all the filtered files if you are allowed to see.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=createdAt,desc The field and sort order |
| name | string or null |
| id | Array of strings or null |
| description | string or null |
| filePath | string or null |
| dataType | Array of strings or null (DeviceConfigType) Enum: "SCAN2DEPLOY" "ALADDIN" "JSON" "UNKNOWN" "TICKET_SWITCHING" "PRODUCE_RECOGNITION" |
| owner | string or null |
| categoryIds | Array of integers or null <int64> [ items <int64 > ] |
| sizeStart | integer or null <int64> |
| sizeEnd | integer or null <int64> |
| createdAtStart | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| createdAtEnd | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| updatedAtStart | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| updatedAtEnd | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| api-version | string API version |
{- "content": [
- {
- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API allow you to rollback the file to a specific file version if you are allowed to see.
| organizationId required | string <uuid> |
| id required | string |
| fileVersion required | integer <int32> |
| api-version | string API version |
{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to retrieve a file types if you are allowed to see.
| organizationId required | string <uuid> |
| api-version | string API version |
{- "totalFiles": 0,
- "deviceTypes": [
- "SCAN2DEPLOY"
]
}This API can be used to upload a file on Azure.
| organizationId required | string <uuid> |
| api-version | string API version |
| name required | string |
| description required | string |
| categoryId | integer <int64> |
| file required | string <binary> |
{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API can be used to upload a new version of a file to Azure.
| organizationId required | string <uuid> |
| id required | string |
| api-version | string API version |
| name | string or null |
| description | string or null |
| categoryId | integer or null <int64> |
| file | string or null <binary> |
{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to retrieve a file if you are allowed to see.
| organizationId required | string <uuid> |
| id required | string |
| api-version | string API version |
{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to update a file if you are allowed.
| organizationId required | string <uuid> |
| id required | string |
| api-version | string API version |
| name | string or null |
| description | string or null |
| categoryId | integer or null <int64> |
{- "name": "string",
- "description": "string",
- "categoryId": 0
}{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to retrieve a download link for file if you are allowed to see.
| organizationId required | string <uuid> |
| id required | string |
| expirationMinutes required | integer <int64> |
| api-version | string API version |
{- "link": "string",
- "expire": "2019-08-24T14:15:22Z",
- "filepath": "string"
}This API allows you to retrieve all versions of a file if you have access to it.
| organizationId required | string <uuid> |
| id required | string |
| api-version | string API version |
[- {
- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}
]This API allow you to retrieve a specific file version if you are allowed to see.
| organizationId required | string <uuid> |
| id required | string |
| fileVersion required | integer <int32> |
| api-version | string API version |
{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to delete a specific file version if you have the permission.
| organizationId required | string <uuid> |
| id required | string |
| fileVersion required | integer <int32> |
| api-version | string API version |
{- "id": "string",
- "name": "string",
- "version": 0,
- "description": "string",
- "filepath": "string",
- "dataType": "SCAN2DEPLOY",
- "size": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "categoryId": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API can be used to retrieve all device groups.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=id,desc The field and sort order |
| ids | Array of strings or null <uuid> [ items <uuid > ] Optional filter by device group ID. |
| name | string or null Optional filter by device group name. |
| description | string or null |
| locationIds | Array of strings or null <uuid> [ items <uuid > ] |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "query": [
- {
- "field": "deviceId",
- "operator": "EQUALS",
- "value": null
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "categoryId": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API can be used to create a new device group.
query parameter[from, to] (ISO 8601 format with timezone)| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
The request body containing name, description, and query filters.
| name | string or null |
| description | string or null |
required | Array of objects (DeviceGroupFilter) |
| locationId required | string <uuid> |
| categoryId required | integer <int64> |
{- "name": "IoT Devices in Location A",
- "description": "All IoT devices in location A",
- "locationId": "54519926-4bf6-b691-86af-5e7173cde7e6",
- "categoryId": 192,
- "query": [
- {
- "field": "locationId",
- "operator": "IN",
- "value": [
- "54519926-4bf6-b691-86af-5e7173cde7e6"
]
}, - {
- "field": "deviceType",
- "operator": "IN",
- "value": [
- "iotDevice"
]
}
]
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "query": [
- {
- "field": "deviceId",
- "operator": "EQUALS",
- "value": null
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "categoryId": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}
}This API can be used to preview which devices would be part of a device group based on filters.
query parameter[from, to] (ISO 8601 format with timezone)| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=id,desc The field and sort order |
| id | string or null |
| name | string or null |
| api-version | string API version |
The list of filters to apply.
| locationId | string or null <uuid> |
| categoryId | integer or null <int64> |
required | Array of objects (DeviceGroupFilter) |
{- "locationId": "54519926-4bf6-b691-86af-5e7173cde7e6",
- "categoryId": 192,
- "query": [
- {
- "field": "deviceId",
- "operator": "STARTS_WITH",
- "value": [
- "DEV"
]
}, - {
- "field": "locationId",
- "operator": "IN",
- "value": [
- "54519926-4bf6-b691-86af-5e7173cde7e6"
]
}, - {
- "field": "categoryId",
- "operator": "NOT_IN",
- "value": [
- 85,
- 189
]
}, - {
- "field": "deviceName",
- "operator": "CONTAINS",
- "value": [
- "sensor"
]
}, - {
- "field": "locationName",
- "operator": "EQUALS",
- "value": [
- "store"
]
}, - {
- "field": "categoryName",
- "operator": "CONTAINS",
- "value": [
- "scan"
]
}, - {
- "field": "deviceType",
- "operator": "IN",
- "value": [
- "iotDevice",
- "iotEdge"
]
}, - {
- "field": "creationDate",
- "operator": "BETWEEN",
- "value": [
- [
- "2025-11-02T23:00:00.000Z",
- null
], - [
- "2025-11-22T23:00:00.000Z",
- "2025-11-26T23:00:00.000Z"
]
]
}, - {
- "field": "connection",
- "operator": "EQUALS",
- "value": [
- true
]
}, - {
- "field": "status",
- "operator": "IN",
- "value": [
- "REGISTERED",
- "PROVISIONED"
]
}, - {
- "field": "parentName",
- "operator": "EQUALS",
- "value": [
- "Gateway1"
]
}
]
}{- "content": [
- {
- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}Returns a specific device group by its ID.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceGroupId required | string <uuid> |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "query": [
- {
- "field": "deviceId",
- "operator": "EQUALS",
- "value": null
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "categoryId": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}
}This API can be used to update an existing device group.
query parameter[from, to] (ISO 8601 format with timezone)| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceGroupId required | string <uuid> The ID of the device group to update. |
| api-version | string API version |
The request body with the fields to update.
| name | string or null |
| description | string or null |
required | Array of objects (DeviceGroupFilter) |
| locationId | string or null <uuid> |
| categoryId | integer or null <int64> |
{- "name": "Advanced Filter Group",
- "description": "Devices with complex filtering",
- "locationId": "54519926-4bf6-b691-86af-5e7173cde7e6",
- "categoryId": 192,
- "query": [
- {
- "field": "deviceId",
- "operator": "STARTS_WITH",
- "value": [
- "DEV"
]
}, - {
- "field": "deviceName",
- "operator": "CONTAINS",
- "value": [
- "sensor"
]
}, - {
- "field": "locationId",
- "operator": "IN",
- "value": [
- "54519926-4bf6-b691-86af-5e7173cde7e6"
]
}, - {
- "field": "categoryId",
- "operator": "NOT_IN",
- "value": [
- 85,
- 189
]
}, - {
- "field": "locationName",
- "operator": "EQUALS",
- "value": [
- "store"
]
}, - {
- "field": "categoryName",
- "operator": "CONTAINS",
- "value": [
- "scan"
]
}, - {
- "field": "deviceType",
- "operator": "IN",
- "value": [
- "iotDevice",
- "iotEdge"
]
}, - {
- "field": "creationDate",
- "operator": "BETWEEN",
- "value": [
- [
- "2025-11-02T23:00:00.000Z",
- null
], - [
- "2025-11-22T23:00:00.000Z",
- "2025-11-26T23:00:00.000Z"
]
]
}, - {
- "field": "connection",
- "operator": "EQUALS",
- "value": [
- false
]
}, - {
- "field": "status",
- "operator": "IN",
- "value": [
- "REGISTERED",
- "PROVISIONED"
]
}, - {
- "field": "parentName",
- "operator": "EQUALS",
- "value": [
- "Gateway1"
]
}
]
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "query": [
- {
- "field": "deviceId",
- "operator": "EQUALS",
- "value": null
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "categoryId": 0,
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}
}This API can be used to delete a device group by ID.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceGroupId required | string <uuid> The ID of the device group to delete. |
| api-version | string API version |
{ }Returns the list of devices that belong to the group based on the stored query.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceGroupId required | string <uuid> |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=id,desc The field and sort order |
| api-version | string API version |
{- "content": [
- {
- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This endpoint retrieves the user information, including the organization and roles.
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "string",
- "profile": { },
- "preferences": { },
- "organizations": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "roles": [
- {
- "role": "admin",
- "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}
]
}
]
}This endpoint update the user information.
| api-version | string API version |
| name | string or null [ 4 .. 50 ] characters |
object or null | |
object or null |
{- "name": "string",
- "profile": { },
- "preferences": { }
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "string",
- "profile": { },
- "preferences": { },
- "organizations": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "roles": [
- {
- "role": "admin",
- "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}
]
}
]
}This API can be used to get all locations that you can view.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=id,desc The field and sort order |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API can be used to update an location.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
| id required | string <uuid> |
| name | string or null [ 4 .. 50 ] characters |
| parentId | string or null <uuid> |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}This API can be used to create a new location.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
| name required | string [ 1 .. 50 ] characters |
| parentId required | string <uuid> |
{- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}This API can be used to get an location that you can view.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| locationId required | string <uuid> |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}This API can be used to remove an location and its sub-locations if there are no registered devices.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| locationId required | string <uuid> |
| api-version | string API version |
{ }This API allows you to get all users
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=id,desc The field and sort order |
| name | string or null |
string or null | |
| locationId | Array of strings or null <uuid> [ items <uuid > ] |
| roles | Array of strings or null |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "string",
- "profile": { },
- "preferences": { },
- "roles": [
- {
- "role": "admin",
- "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API allows you to update users. If the mail or the id is already present in the system, the user will be updated
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
The user to update
| id | string or null <uuid> |
| name | string or null [ 4 .. 50 ] characters |
string or null <email> | |
object or null |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "user@example.com",
- "role": {
- "role": "admin",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54"
}
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "string",
- "profile": { },
- "preferences": { },
- "roles": [
- {
- "role": "admin",
- "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allows you to create a user
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
The user to create
| name required | string [ 4 .. 50 ] characters |
| mail required | string <email> |
required | object (RoleRequest) |
{- "name": "string",
- "mail": "user@example.com",
- "role": {
- "role": "admin",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54"
}
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "string",
- "profile": { },
- "preferences": { },
- "roles": [
- {
- "role": "admin",
- "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to find the users, the API tries to find a match for the string passed by checking the name or mailing address on the system.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| id required | string <uuid> Example: 7fd28f13-7dab-4a1d-9266-cbc82cafa4eb |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "mail": "string",
- "profile": { },
- "preferences": { },
- "roles": [
- {
- "role": "admin",
- "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}
], - "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z"
}This API allow you to delete one user if you have the permission.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| userId required | string <uuid> |
| api-version | string API version |
{ }This API allow you to retrieve all the devices you are allowed to see.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=createdAt,desc The field and sort order |
| id | string or null |
| deviceIdContains | Array of strings or null |
| devicesIds | Array of strings or null |
| name | string or null |
| locationId | Array of strings or null <uuid> [ items <uuid > ] |
| deviceType | string or null Enum: "iotEdge" "iotDevice" "host" "produceServer" |
| deviceCategoryId | Array of integers or null <int64> [ items <int64 > ] |
| connection | boolean or null |
| status | Array of strings or null (DeviceStatus) Enum: "WAITING_FOR_APPROVAL" "REGISTERED" "BLOCKED" "PROVISIONED" |
| parentIds | Array of strings or null |
| parentName | string or null |
| licenseProductType | Array of strings or null (LicenseProductTypeEnum) Enum: "HHS_ESSENTIAL" "HHS_PROFESSIONAL" "HHS_PREMIUM" "MOB_ESSENTIAL" "MOB_PROFESSIONAL" "MOB_PREMIUM" "FRS_ESSENTIAL" "FRS_PROFESSIONAL" "FRS_PREMIUM" "PILOT_HHS" "PILOT_MOB" "PILOT_FRS" |
| licenseStatus | Array of strings or null (LicenseStatusEnum) Enum: "LICENSED" "NOT_LICENSED" "EXPIRED" "N_A" |
| api-version | string API version |
{- "content": [
- {
- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API can be used to add one device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
| id required | string <= 50 characters |
| name | string or null <= 50 characters |
| locationId | string or null <uuid> |
| deviceCategoryId | integer or null <int64> |
| enabled | boolean or null |
| parentId | string or null |
| licenseId | string or null |
object or null | |
| manifestId | string or null <uuid> |
{- "id": "string",
- "name": "string",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceCategoryId": 0,
- "enabled": true,
- "parentId": "string",
- "licenseId": "string",
- "manifestVariables": {
- "property1": "string",
- "property2": "string"
}, - "manifestId": "d9e221c5-ff18-4314-8e4b-8ff5f968a62f"
}{- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}This API can be used to update one device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
| id required | string [ 1 .. 50 ] characters ^[a-zA-Z0-9.:\-_]+$ |
| name required | string [ 1 .. 50 ] characters |
| locationId required | string <uuid> |
| deviceCategoryId required | integer <int64> |
| enabled required | boolean |
| parentId | string or null |
| licenseId | string or null <uuid> |
object or null Manifest user variables | |
| manifestId | string or null <uuid> |
{- "id": "string",
- "name": "string",
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceCategoryId": 0,
- "enabled": true,
- "parentId": "string",
- "licenseId": "be894337-ec7c-4bdc-ac72-f939e31237ae",
- "manifestVariables": {
- "property1": "string",
- "property2": "string",
- "VAR1": "value1",
- "VAR2": "value2"
}, - "manifestId": "d9e221c5-ff18-4314-8e4b-8ff5f968a62f"
}{- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}This API allow you to delete devices if you have the permission.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
| ids required | Array of strings |
{- "ids": [
- "string"
]
}{- "failedDevices": {
- "property1": "string",
- "property2": "string"
}
}This API allow you to retrieve a devices you are allowed to see.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| api-version | string API version |
{- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}This API allow you to delete one device if you have the permission.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| api-version | string API version |
{ }This API allow you to retrieve all the device's children you are allowed to see.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=createdAt,desc The field and sort order |
| id | string or null |
| name | string or null |
| locationId | Array of strings or null <uuid> [ items <uuid > ] |
| deviceType | string or null Enum: "iotEdge" "iotDevice" "host" "produceServer" |
| deviceCategoryId | Array of integers or null <int64> [ items <int64 > ] |
| connection | boolean or null |
| status | Array of strings or null (DeviceStatus) Enum: "WAITING_FOR_APPROVAL" "REGISTERED" "BLOCKED" "PROVISIONED" |
| api-version | string API version |
{- "content": [
- {
- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API allow you to retrieve all the commands you are allowed to see.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=createdAt,desc The field and sort order |
| status | string or null Enum: "CREATED" "PENDING" "IN_PROGRESS" "COMPLETED" "FAILED" |
| commandName | string or null |
| ownerId | string or null <uuid> |
| actionId | string or null <uuid> |
| startTimeFrom | string or null\d{4}-\d{2}-\d{2} Filter commands with startTime >= this value (yyyy-MM-dd) |
| startTimeTo | string or null\d{4}-\d{2}-\d{2} Filter commands with startTime <= this value (yyyy-MM-dd) |
| endTimeFrom | string or null\d{4}-\d{2}-\d{2} Filter commands with endTime >= this value (yyyy-MM-dd) |
| endTimeTo | string or null\d{4}-\d{2}-\d{2} Filter commands with endTime <= this value (yyyy-MM-dd) |
| createdAtFrom | string or null\d{4}-\d{2}-\d{2} Filter commands created at or after this value (yyyy-MM-dd) |
| createdAtTo | string or null\d{4}-\d{2}-\d{2} Filter commands created at or before this value (yyyy-MM-dd) |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "command": "string",
- "request": { },
- "response": { },
- "status": "CREATED",
- "commandStatusCode": "string",
- "tokensConsumed": 0,
- "statusMessage": "string",
- "deviceId": "string",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "action": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string"
}, - "attachments": [
- {
- "id": "string",
- "name": "string"
}
]
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This api allows you to retrieve all the commands executable on a device based on its license
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| api-version | string API version |
[- {
- "name": "string",
- "tokens": 0
}
]This API allow you to retrieve one command you are allowed to see.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| commandId required | string <uuid> |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "command": "string",
- "request": { },
- "response": { },
- "status": "CREATED",
- "commandStatusCode": "string",
- "tokensConsumed": 0,
- "statusMessage": "string",
- "deviceId": "string",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "action": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string"
}, - "attachments": [
- {
- "id": "string",
- "name": "string"
}
]
}This API allow you to execute one command on one device (some fields can be null).
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| commandName required | string |
| api-version | string API version |
| payload | any or null |
| files | Array of strings or null |
object or null |
{- "payload": "Any string payload"
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "command": "string",
- "request": { },
- "response": { },
- "status": "CREATED",
- "commandStatusCode": "string",
- "tokensConsumed": 0,
- "statusMessage": "string",
- "deviceId": "string",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "action": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string"
}, - "attachments": [
- {
- "id": "string",
- "name": "string"
}
]
}This API allow you to execute one command on one edge device (some fields can be null).
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| module required | string |
| commandName required | string |
| api-version | string API version |
| payload | any or null |
| files | Array of strings or null |
object or null |
{- "payload": "Any string payload"
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "command": "string",
- "request": { },
- "response": { },
- "status": "CREATED",
- "commandStatusCode": "string",
- "tokensConsumed": 0,
- "statusMessage": "string",
- "deviceId": "string",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "action": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string"
}, - "attachments": [
- {
- "id": "string",
- "name": "string"
}
]
}This API allows you to get all the credentials of a device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| api-version | string API version |
{- "scope": "string",
- "primaryKey": "string",
- "secondaryKey": "string"
}This API allows you to get all the properties of a device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| api-version | string API version |
{ }This API allows you to get all the telemetry names of a device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| deviceId required | string |
| api-version | string API version |
{ }Retrieve summary information for all manifests within an organization. Only the latest version of each manifest is returned.
| organizationId required | string <uuid> |
| api-version | string API version |
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}
]Retrieve summary information for a specific manifest by its ID. Only the latest version is returned.
| organizationId required | string <uuid> |
| manifestId required | string <uuid> |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}Retrieve the list of tags (variables) required to complete a manifest. Optionally, specify a version to get variables for a specific version.
| organizationId required | string <uuid> |
| manifestId required | string <uuid> |
| version | integer or null <int32> |
| api-version | string API version |
[- "string"
]Retrieve summary information for a specific manifest by its ID and version.
| organizationId required | string <uuid> |
| manifestId required | string <uuid> |
| version required | integer <int32> |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}Get device Templates for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
[- {
- "id": 0,
- "name": "string",
- "deviceCommands": [
- {
- "id": 0,
- "name": "string",
- "licenseTag": "BASIC",
- "tokens": 0
}
]
}
]Get a device template for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| templateId required | integer <int64> |
| api-version | string API version |
{- "id": 0,
- "name": "string",
- "deviceCommands": [
- {
- "id": 0,
- "name": "string",
- "licenseTag": "BASIC",
- "tokens": 0
}
]
}Get Rma Schema for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=creationDate,desc The field and sort order |
| number | string or null |
| creationDateStart | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| creationDateEnd | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| customerName | string or null |
| workCenter | string or null |
| workCenterCode | string or null |
| purchaseOrderNumber | string or null |
| receivedDateStart | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| receivedDateEnd | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| estimatedRepairDateStart | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| estimatedRepairDateEnd | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| store | string or null |
| shippingDateStart | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| shippingDateEnd | string or null\d{4}-\d{2}-\d{2} yyyy-MM-dd |
| shippingType | string or null |
| serialNumber | string or null |
| problemCode | string or null |
| materialNumber | string or null |
| api-version | string API version |
{- "content": [
- {
- "number": "string",
- "creationDate": "2019-08-24T14:15:22Z",
- "customerName": "string",
- "purchaseOrderNumber": "string",
- "store": "string",
- "shipment": {
- "addressOfShipToParty": "string",
- "shippingType": "string",
- "shipToParty": "string"
}, - "formReportAvailable": true,
- "shippingLabelAvailable": true,
- "items": [
- {
- "serialNumber": "string",
- "problemCode": "string",
- "problemCode2": "string",
- "problemCodeDescription": "string",
- "materialNumber": "string",
- "materialDescription": "string",
- "customerMaterialDescription": "string",
- "workCenter": "string",
- "workCenterCode": "string",
- "status": "I",
- "trackingNumber": "string",
- "shipDate": "2019-08-24T14:15:22Z",
- "receivedDate": "2019-08-24T14:15:22Z",
- "estimatedRepairDate": "2019-08-24T14:15:22Z",
- "problemDescription": "string",
- "additionalNote": "string"
}
]
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}Download the Form Report PDF file for the specified RMA number
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| rmaNumber required | string |
| api-version | string API version |
{- "name": "string",
- "message": "string",
- "requestId": "string",
- "time": "2019-08-24T14:15:22Z",
- "errors": [
- { }
]
}Download the Shipping Label PDF file for the specified RMA number
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| rmaNumber required | string |
| api-version | string API version |
{- "name": "string",
- "message": "string",
- "requestId": "string",
- "time": "2019-08-24T14:15:22Z",
- "errors": [
- { }
]
}Get Rma Product for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| serialnumber required | string |
| api-version | string API version |
"string"Get Rma Form for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| rmanumber required | string |
| api-version | string API version |
{ }Get Rma Form for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| rmanumber required | string |
| api-version | string API version |
"string"| organizationId required | string |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "enrollment": {
- "data": [
- {
- "key": "string",
- "value": "string",
- "expiry": "string"
}
]
}, - "user": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}
}Get counters for an organization
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "tokenCount": 0,
- "startDate": "2019-08-24T14:15:22Z",
- "endDate": "2019-08-24T14:15:22Z"
}Get device Categories for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| categoriesId | Array of integers or null <int64> [ items <int64 > ] |
| api-version | string API version |
[- {
- "id": 0,
- "name": "string",
- "deviceTemplateId": 0,
- "parentId": 0,
- "image": "string",
- "deviceType": "iotEdge"
}
]Get total and online devices by category for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
[- {
- "id": 0,
- "name": "string",
- "parentId": 0,
- "templateId": 0,
- "totalDevices": 0,
- "connectedDevices": 0,
- "image": "string"
}
]Get a device category for an organization
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| categoryId required | integer <int64> The category identifier |
| api-version | string API version |
{- "id": 0,
- "name": "string",
- "deviceTemplateId": 0,
- "parentId": 0,
- "image": "string",
- "deviceType": "iotEdge"
}Get device Actions for an organization
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=createdAt,desc The field and sort order |
| locationId | Array of strings or null <uuid> [ items <uuid > ] |
| id | string or null <uuid> |
| name | string or null |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "deviceIds": [
- "string"
], - "deviceGroup": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string"
}, - "commandIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "data": {
- "command": {
- "id": 0,
- "name": "string"
}, - "payload": "string",
- "files": [
- "string"
]
}, - "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "status": "PENDING",
- "progress": {
- "total": 0,
- "created": 0,
- "completed": 0,
- "failed": 0,
- "pending": 0,
- "inProgress": 0
}, - "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54"
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}Create a device Action for an organization
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| api-version | string API version |
| name required | string |
| description required | string |
| deviceGroupId required | string <uuid> |
required | object (ActionRequest.ActionDataCommandRequest) |
{- "name": "string",
- "description": "string",
- "deviceGroupId": "47103c21-a78d-4990-a233-7f9ad2536254",
- "data": {
- "command": 0,
- "payload": "string",
- "files": [
- "string"
]
}
}{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "deviceIds": [
- "string"
], - "deviceGroup": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string"
}, - "commandIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "data": {
- "command": {
- "id": 0,
- "name": "string"
}, - "payload": "string",
- "files": [
- "string"
]
}, - "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "status": "PENDING",
- "progress": {
- "total": 0,
- "created": 0,
- "completed": 0,
- "failed": 0,
- "pending": 0,
- "inProgress": 0
}, - "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54"
}Get a device Action for an organization
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| actionId required | string <uuid> |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "description": "string",
- "deviceGroup": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string"
}, - "data": {
- "command": {
- "id": 0,
- "name": "string"
}, - "payload": "string",
- "files": [
- "string"
]
}, - "owner": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "mail": "string"
}, - "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "status": "PENDING",
- "tokensConsumed": 0,
- "progress": {
- "total": 0,
- "created": 0,
- "completed": 0,
- "failed": 0,
- "pending": 0,
- "inProgress": 0
}, - "location": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"
}
}Get all commands related to a device Action for an organization
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| actionId required | string <uuid> |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=createdAt,desc The field and sort order |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "command": "string",
- "request": { },
- "response": { },
- "status": "CREATED",
- "statusMessage": "string",
- "device": {
- "id": "string",
- "name": "string",
- "enabled": true,
- "provisioned": true,
- "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54",
- "deviceType": "iotEdge",
- "deviceCategoryId": 0,
- "properties": { },
- "telemetries": { },
- "status": "WAITING_FOR_APPROVAL",
- "connection": {
- "connected": true,
- "timestamp": "2019-08-24T14:15:22Z"
}, - "parent": {
- "id": "string",
- "name": "string"
}, - "lastKnownConfig": {
- "id": "string",
- "name": "string"
}, - "license": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "licenseProductType": "HHS_ESSENTIAL",
- "licenseStatus": "LICENSED"
}, - "manifestInfo": {
- "manifest": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "id_version": "cd94bee2-2426-4bfd-9a09-c77d49701fca",
- "name": "string",
- "version": 0
}, - "tags": { }
}
}, - "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z"
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}Retrieve a paginated list of command response attachments for the specified organization.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=id,desc The field and sort order |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "commandId": "9e2dd63c-3478-489f-86d3-8c292a65a0aa",
- "commandName": "string",
- "deviceId": "string",
- "filePath": "string",
- "fileName": "string"
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}Retrieve metadata for the attachments associated with a specific command.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| commandId required | string <uuid> |
| api-version | string API version |
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "commandId": "9e2dd63c-3478-489f-86d3-8c292a65a0aa",
- "commandName": "string",
- "deviceId": "string",
- "filePath": "string",
- "fileName": "string"
}
]Retrieve a secure download link for a certain response attachment.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| commandResponseAttachmentId required | string <uuid> |
| expirationMinutes required | integer <int64> |
| api-version | string API version |
{- "link": "string",
- "expire": "2019-08-24T14:15:22Z",
- "filepath": "string"
}This API can be used to retrieve all licenses for the specified organization
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=created,desc The field and sort order |
| ids | Array of strings or null <uuid> [ items <uuid > ] Optional list of license UUIDs to filter. |
| name | string or null Optional license name to filter. |
| categoryId | integer or null <int64> Optional category id of devices which licenses can be assigned to. |
| api-version | string API version |
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "type": "string",
- "name": "string",
- "licenseKey": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "status": "ACTIVE",
- "maxSeats": 0,
- "lastValidated": "2019-08-24T14:15:22Z",
- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "requireCheckIn": true,
- "lastCheckIn": "2019-08-24T14:15:22Z",
- "nextCheckIn": "2019-08-24T14:15:22Z",
- "metadata": { },
- "organization": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "enrollment": {
- "data": [
- {
- "key": "string",
- "value": "string",
- "expiry": "string"
}
]
}, - "tokens": {
- "data": [
- {
- "key": "string",
- "value": "string",
- "expiry": "string"
}
], - "iotSasToken": "string"
}, - "iotOrgId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "licenseEnforcement": true
}, - "created": "2019-08-24T14:15:22Z",
- "updated": "2019-08-24T14:15:22Z",
- "licenseProductType": {
- "licenseProductType": "string",
- "deviceCategory": {
- "id": 0,
- "name": "string",
- "enabled": true,
- "deviceTemplate": {
- "id": 0,
- "name": "string",
- "deviceCommands": [
- {
- "id": 0,
- "name": "string",
- "licenseTag": "BASIC",
- "tokens": 0
}
], - "deviceCommandsFromTemplateTree": [
- {
- "id": 0,
- "name": "string",
- "licenseTag": "BASIC",
- "tokens": 0
}
]
}, - "image": "string",
- "deviceType": "iotEdge"
}
}, - "maxTokens": 0,
- "usedSeats": 0,
- "tokensConsumed": 0
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}This API can be used to retrieve a specific license by its id.
| organizationId required | string Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| licenseId required | string <uuid> The id of the license. |
| api-version | string API version |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "type": "string",
- "name": "string",
- "licenseKey": "string",
- "expiry": "2019-08-24T14:15:22Z",
- "status": "ACTIVE",
- "maxSeats": 0,
- "lastValidated": "2019-08-24T14:15:22Z",
- "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
- "requireCheckIn": true,
- "lastCheckIn": "2019-08-24T14:15:22Z",
- "nextCheckIn": "2019-08-24T14:15:22Z",
- "metadata": { },
- "organization": {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "enrollment": {
- "data": [
- {
- "key": "string",
- "value": "string",
- "expiry": "string"
}
]
}, - "tokens": {
- "data": [
- {
- "key": "string",
- "value": "string",
- "expiry": "string"
}
], - "iotSasToken": "string"
}, - "iotOrgId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "licenseEnforcement": true
}, - "created": "2019-08-24T14:15:22Z",
- "updated": "2019-08-24T14:15:22Z",
- "licenseProductType": {
- "licenseProductType": "string",
- "deviceCategory": {
- "id": 0,
- "name": "string",
- "enabled": true,
- "deviceTemplate": {
- "id": 0,
- "name": "string",
- "deviceCommands": [
- {
- "id": 0,
- "name": "string",
- "licenseTag": "BASIC",
- "tokens": 0
}
], - "deviceCommandsFromTemplateTree": [
- {
- "id": 0,
- "name": "string",
- "licenseTag": "BASIC",
- "tokens": 0
}
]
}, - "image": "string",
- "deviceType": "iotEdge"
}
}, - "maxTokens": 0,
- "usedSeats": 0,
- "tokensConsumed": 0
}This API can be used to assign a license to a device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| licenseId required | string <uuid> The key of the license. |
| deviceId required | string The ID of the device. |
| api-version | string API version |
{ }This API can be used to deactivate a license from a device.
| organizationId required | string <uuid> Example: c2b176f7-3bf6-484b-9118-cd6e5c8e0198 The organization id |
| licenseId required | string <uuid> The id of the license. |
| deviceId required | string The ID of the device. |
| api-version | string API version |
{ }Public API for retrieving licenses information
| page | integer or null <int32> The page number |
| size | integer or null <int32> Example: size=10 The page size |
| sort | string or null Example: sort=licenseProductType,desc The field and sort order |
| productType | string or null Enum: "HHS_ESSENTIAL" "HHS_PROFESSIONAL" "HHS_PREMIUM" "MOB_ESSENTIAL" "MOB_PROFESSIONAL" "MOB_PREMIUM" "FRS_ESSENTIAL" "FRS_PROFESSIONAL" "FRS_PREMIUM" "PILOT_HHS" "PILOT_MOB" "PILOT_FRS" |
| api-version | string API version |
{- "content": [
- {
- "licenseProductType": "string",
- "commands": [
- {
- "name": "string",
- "tokens": 0
}
]
}
], - "pageable": {
- "number": 0,
- "size": 0,
- "mode": "CURSOR_NEXT",
- "sort": {
- "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "orderBy": [
- {
- "ignoreCase": true,
- "direction": "ASC",
- "property": "string",
- "ascending": true
}
]
}, - "pageNumber": 0,
- "offset": 0,
- "size": 0,
- "empty": true,
- "numberOfElements": 0,
- "totalSize": 0,
- "totalPages": 0
}